Package twisted :: Package internet :: Module interfaces :: Class IReactorTime

[frames | no frames]

## Class IReactorTime

    Interface --+
                |
               IReactorTime

Time methods that a Reactor should implement.

Method Summary
| ``callLater`(self, delay, callable, *args, **kw)` Call a function later.
| ``cancelCallLater`(self, callID)` This method is deprecated.
| ``getDelayedCalls`(self)` Retrieve a list of all delayed calls.

Method Details

### callLater(self, delay, callable, *args, **kw)

Call a function later.

  Parameters:
    `delay` - the number of seconds to wait.
    (type=`float`)
    `callable` - the callable object to call later.
    `args` - the arguments to call it with.
    `kw` - the keyword arguments to call it with.
  Returns:
    An `IDelayedCall` object that can be used to cancel the scheduled call, by calling its `cancel()` method. It also may be rescheduled by calling its `delay()` or `reset()` methods.

### cancelCallLater(self, callID)

This method is deprecated.

Cancel a call that would happen later.

  Parameters:
    `callID` - this is an opaque identifier returned from `callLater` that will be used to cancel a specific call.
  Raises:
    `ValueError` - if the callID is not recognized.

### getDelayedCalls(self)

Retrieve a list of all delayed calls.

  Returns:
    A tuple of all `IDelayedCall` objects that are currently scheduled. This is everything that has been returned by `callLater` but not yet called or canceled.

Generated by Epydoc 2.0 on Sat May 15 20:07:41 2004 | http://epydoc.sf.net